monitoring-plugins (2.4.0-1ubuntu3) stonking; urgency=medium

  * No-change rebuild against libssl4

 -- Ravi Kant Sharma <ravi.kant.sharma@canonical.com>  Fri, 24 Jul 2026 10:58:20 +0000

monitoring-plugins (2.4.0-1ubuntu2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 26 Jan 2026 19:25:16 +0000

monitoring-plugins (2.4.0-1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2089618). Remaining changes:
    - d/p/exclude-tmpfs-squashfs-tracefs.patch: Ignore artificial
      filesystems that trigger false-positive DISK CRITICAL checks due
      to reporting as at 100% capacity, if they weren't intentionally
      included in the check options or had a mount point specifically
      provided for them.
      (LP #1827159, #1940916)
      [Refreshed to apply to current codebase]

 -- Bryce Harrington <bryce@canonical.com>  Mon, 25 Nov 2024 18:24:19 -0800

monitoring-plugins (2.4.0-1) unstable; urgency=medium

  * [600e193] New upstream version 2.4.0

 -- Jan Wagner <waja@cyconet.org>  Tue, 23 Jul 2024 20:28:15 +0000

monitoring-plugins (2.3.5-1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:02:15 +1100

monitoring-plugins (2.3.5-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 20:01:23 +0000

monitoring-plugins (2.3.5-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/p/exclude-tmpfs-squashfs-tracefs.patch: Ignore artificial
      filesystems that trigger false-positive DISK CRITICAL checks due
      to reporting as at 100% capacity, if they weren't intentionally
      included in the check options or had a mount point specifically
      provided for them.
      (LP #1827159, #1940916)

 -- Bryce Harrington <bryce@canonical.com>  Thu, 15 Feb 2024 22:39:01 -0800

monitoring-plugins (2.3.5-1) unstable; urgency=medium

  [ Jan Wagner ]
  * [a20810f] Adding d/p/36_check_smtp_adding_proxy_header from upstream
  * [0250eb9] Adding d/p/37_check_smtp_Adding_SNI from upstream
  * [1381a20] Remove left over d/p/31_checl_mailq_separate_submission_queue

  [ Bas Couwenberg ]
  * [7c86d65] Explicitly enable test-build-twice job.

  [ Jan Wagner ]
  * [de72f6f] New upstream version 2.3.4
  * [5956793] New upstream version 2.3.5
  * [f07f4db] Drop patches integrated by upstream

 -- Jan Wagner <waja@cyconet.org>  Wed, 18 Oct 2023 12:04:05 +0200

monitoring-plugins (2.3.3-6ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2030674). Remaining changes:
    - d/p/exclude-tmpfs-squashfs-tracefs.patch: Ignore artificial
      filesystems that trigger false-positive DISK CRITICAL checks due
      to reporting as at 100% capacity, if they weren't intentionally
      included in the check options or had a mount point specifically
      provided for them.
      (LP #1827159, #1940916)
  * Dropped:
    - d/p/check_http_socket_timeouts.patch: fix check_http
      that was having constant socket timeouts.
      (LP #1875517)
      [Fixed in upstream release 2.3.3]

 -- Bryce Harrington <bryce@canonical.com>  Mon, 07 Aug 2023 12:44:25 -0700

monitoring-plugins (2.3.3-6) unstable; urgency=medium

  * [e1f9786] Adding d/p/14_check_curl_fix_SSL_with_multiple_IPs from upstream
  * [534d0c8] Adding d/p/30_check_radius_radcli_1.3.1_support from upstream
  * [bd72df2] Adding d/p/31_checl_mailq_separate_submission_queue from upstream
  * [567890c] Adding d/p/32_check_disk_add_ignore_missing from upstream
    (Closes: #516097)
  * [47b7589] Adding d/p/15_check_swap_remove_includes from upstream
  * [6f89be8] Adding d/p/33_check_procs_exclude-process from upstream
  * [983507a] Adding d/p/34_check_curl_fix_compare_warning from upstream
  * [9225592] Adding d/p/17_fix_exit_codes from upstream
  * [3a0d875] Adding d/p/18_check_mysql_fix_typo from upstream
  * [17688c7] Adding d/p/19_check_nwstat_fix_typo from upstream
  * [e0cfe77] Adding d/p/20_chech_nt_fix_encoding from upstream
  * [3da2163] Adding d/p/21_check_pgsql_extra_output from upstream
  * [7cbe4b6] Adding d/p/22_check_disk_avoid_mount from upstream
  * [01be8ce] d/p/series: Fix typo
  * [85d9e03] Adding d/p/23_check_mysql_fix_error_handling from upstream
  * [555d643] CI: Disable BLHC job
  * [85a271e] Adding d/p/24_check_disk_fix_SI_units from upstream
  * [02c716f] d/p/31_check_mailq_separate_submission_queue: Fix filename

 -- Jan Wagner <waja@cyconet.org>  Mon, 12 Jun 2023 21:46:29 +0200

monitoring-plugins (2.3.3-5) unstable; urgency=medium

  * [6fb8e25] Adding d/p/14_check_curl_fix_SSL_with_multiple_IPs from upstream
  * [eab1e1d] Adding d/p/15_check_swap_remove_includes from upstream
  * [3ede347] Adding d/p/16_check_snmp_disable_multiplier_when_unused from upstream

 -- Jan Wagner <waja@cyconet.org>  Thu, 30 Mar 2023 08:51:53 +0000

monitoring-plugins (2.3.3-4) unstable; urgency=medium

  * [953ee52] Adding d/p/13_check_icmp_improvements from upstream

 -- Jan Wagner <waja@cyconet.org>  Tue, 07 Mar 2023 13:29:35 +0000

monitoring-plugins (2.3.3-3) unstable; urgency=medium

  * [15d0c56] Adding d/p/12_check_curl_improvements from upstream

 -- Jan Wagner <waja@cyconet.org>  Fri, 24 Feb 2023 12:55:11 +0000

monitoring-plugins (2.3.3-2) unstable; urgency=high

  * [01c9312] Adding d/p/10_check_http_chunked_wo_actual_content from upstream
  * [c1f3ca7] Adding d/p/11_fallback_for_gnutls from upstream

 -- Jan Wagner <waja@cyconet.org>  Fri, 10 Feb 2023 10:16:38 +0000

monitoring-plugins (2.3.3-1) unstable; urgency=medium

  * [e7bdd1c] New upstream version 2.3.3
  * [c31ba97] Drop patches applied upstream

 -- Jan Wagner <waja@cyconet.org>  Thu, 02 Feb 2023 09:36:44 +0000

monitoring-plugins (2.3.2-3) unstable; urgency=high

  * [62a3be0] Adding d/p/31_check_http_fix_memory_alloc_error_chunk_decod from
    upstream (Closes: #1029934)

 -- Jan Wagner <waja@cyconet.org>  Tue, 31 Jan 2023 13:13:58 +0000

monitoring-plugins (2.3.2-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * [32fba01] Bump Standards-Version to 4.6.1, no changes.

  [ Jan Wagner ]
  * [5a11a70] Adding upstream patches fixing (u)int64_t on 32-bit machines
    (Closes: #1023280)
  * [2a90f45] Adding github actions
  * [7d0e34a] Use testing, since unstable has large transition ongoing
  * [0543e43] only removing github stuff
  * [1e0e230] Adding d/patches/16_check_pgsql_dbname_too_strict
    (Closes: ##982847)
  * [b61a8ea] Update d/patch/13_check_http_fix_superflous_crlf
  * [73bd381] Adding d/p/17_check_curl_detect_ipv6

  [ Bas Couwenberg ]
  * [d6b03fd] Add Rules-Requires-Root to control file.

  [ Jan Wagner ]
  * [08ddb1e] d/control: Drop 'pkg-' from Vcs-Headers
  * [76475e9] Adding d/p/18_check_icmp_help from upstream
  * [f625b1e] Adding d/p/19_check_disk_fs_usage from upstream
  * [f9e79de] Adding d/p/20_check_apt_unknown_escape_sequence
  * [f95110e] Adding d/p/21_check_http_faster_with_large_files from upstream
  * [d4c9e0b] Adding d/p/22_check_curl_faster_with_large_files from upstream
  * [c662b29] Adding gitlab CI
  * [95eeed8] Adding d/p/24_check_apt_usage from upstream
  * [298c20a] Bump debhelper from old 12 to 13.
  * [ab165de] Update standards version to 4.6.2, no changes needed.
  * [f064e9b] Adding d/p/23_check_http_chunked_encoding from upstream
  * [f503139] d/README.Debian: Fix typo
  * [ccc552b] Adding d/p/25_spell_fixes from upstream
  * [405406d] d/rules: Set DH_VERBOSE=1
  * [ff160b6] Adding d/p/26_check_mailq_fix_nullmailer_regex from upstream
    (Closes: #1019406)
  * [e99bd7b] Adding d/p/27_check_snmp_add_multiplier
  * [73742e9] Adding d/p/28_check_snmp_fix_regex_matches from upstream
  * [4f70a9d] Adding d/p/29_check_log_polish from upstream
  * [4f7eea1] Adding d/p/30_check_disk_clarify_usage_possibilites from upstream

 -- Jan Wagner <waja@cyconet.org>  Mon, 23 Jan 2023 14:40:09 +0000

monitoring-plugins (2.3.2-1ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable (LP: #1946874). Remaining changes:
    - d/p/exclude-tmpfs-squashfs-tracefs.patch: Ignore artificial
      filesystems that trigger false-positive DISK CRITICAL checks due
      to reporting as at 100% capacity, if they weren't intentionally
      included in the check options or had a mount point specifically
      provided for them.
      (LP #1827159, #1940916)
    - d/p/check_http_socket_timeouts.patch: fix check_http
      that was having constant socket timeouts.
      (LP #1875517)

 -- Bryce Harrington <bryce@canonical.com>  Fri, 09 Dec 2022 17:43:21 -0800

monitoring-plugins (2.3.2-1) unstable; urgency=medium

  * [1fe8724] d/control: remove deprecated libradiusclient-ng-dev from build-deps
  * [9e92541] d/rules: Fix debhelper compat 12 by using '-a' instead '-s'
  * [eb27aa7] Adding d/p/13_check_http_fix_superflous_crlf (Closes: #913142)
  * [6cf0b31] Remove constraints unnecessary since buster
  * [21323d2] New upstream version 2.3.2 (Closes: #800345, #997849)
  * [91105f7] Drop patches integrated upstream

 -- Jan Wagner <waja@cyconet.org>  Fri, 21 Oct 2022 11:41:42 +0200

monitoring-plugins (2.3.1-1ubuntu4) jammy; urgency=medium

  * d/p/exclude-tmpfs-squashfs-tracefs.patch: Adding synthetic filesystems
    for exclusion only if they have not been included and no mount point
    has been provided in command line. Re-implementing solution for
    LP bug 1827159. (LP: #1940916).

 -- Miriam España Acebal <miriam.espana@canonical.com>  Wed, 02 Feb 2022 13:35:26 +0100

monitoring-plugins (2.3.1-1ubuntu3) jammy; urgency=medium

  * No-change rebuild against libssl3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 08 Dec 2021 23:39:50 +0000

monitoring-plugins (2.3.1-1ubuntu2) impish; urgency=medium

  * No-change rebuild due to OpenLDAP soname bump.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 21 Jun 2021 17:53:58 -0400

monitoring-plugins (2.3.1-1ubuntu1) impish; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/p/exclude-tmpfs-squashfs-tracefs.patch: Ignore artificial
      filesystems that trigger false-positive DISK CRITICAL checks due
      to reporting as at 100% capacity.
      (LP 1827159)
    - d/p/check_http_socket_timeouts.patch: fix check_http
      + was having constant socket timeouts (LP #1875517)

 -- Bryce Harrington <bryce@canonical.com>  Wed, 09 Jun 2021 13:36:27 -0700

monitoring-plugins (2.3.1-1) unstable; urgency=medium

  * Upload to unstable

 -- Jan Wagner <waja@cyconet.org>  Thu, 22 Apr 2021 12:41:33 +0200

monitoring-plugins (2.3.1-1~exp2) experimental; urgency=medium

  * [eb7432c] Adding d/p/10_check_curl_header fixing HTTP_ heqders
  * [363955f] Adding d/p/03_epn disable epn in check_disk_smb

 -- Jan Wagner <waja@cyconet.org>  Tue, 13 Apr 2021 13:05:28 +0200

monitoring-plugins (2.3.1-1~exp1) experimental; urgency=medium

  * [09f4277] New upstream version 2.3.1 (Closes: #982847, #886888, #950921)

 -- Jan Wagner <waja@cyconet.org>  Sun, 11 Apr 2021 12:21:37 +0100

monitoring-plugins (2.3-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/p/exclude-tmpfs-squashfs-tracefs.patch: Ignore artificial
      filesystems that trigger false-positive DISK CRITICAL checks due
      to reporting as at 100% capacity.
      (LP 1827159)
    - d/p/check_http_socket_timeouts.patch: fix check_http
      + was having constant socket timeouts (LP #1875517)

 -- Bryce Harrington <bryce@canonical.com>  Fri, 29 Jan 2021 18:05:14 -0800

monitoring-plugins (2.3-1) unstable; urgency=medium

  * Upload to unstable

 -- Jan Wagner <waja@cyconet.org>  Wed, 06 Jan 2021 22:10:18 +0100

monitoring-plugins (2.3-1~exp1) experimental; urgency=medium

  * [3031044] New upstream version 2.3
  * [61ef2d7] Droping all patches commited upstream and beeing obsolete with 2.3
  * [66c44c4] d/control: adding new build-deps fir check_curl
  * [59b52dd] d/rules: Adding check_curl to std_plugins
  * [5e59ca1] Adding check_curl check commands
  * [6cbfc78] check_uptime: Don't ship for now, check_uptime also exist in
    nagios-plugins-contrib

 -- Jan Wagner <waja@cyconet.org>  Mon, 14 Dec 2020 14:51:49 +0100

monitoring-plugins (2.2-7) unstable; urgency=medium

  [ Bas Couwenberg ]
  * [643c792] Drop icinga from Suggests.

  [ Christopher Huhn ]
  * [ab5d5b97] Fix OID for snmp_users check

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Wrap long lines in changelog entries: 1.4-1.
  * Bump debhelper from deprecated 5 to 10. (Closes: #965726)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Name (from
    ./configure), Repository, Repository-Browse.
  * Rely on pre-initialized dpkg-architecture variables.
  * Fix day-of-week for changelog entry 1.5-2.
  * Update standards version to 4.5.0, no changes needed.

  [ Bas Couwenberg ]
  * [122d9b7] Bump watch file version to 4.

  [ Jan Wagner ]
  * [e44da07] Adding CI
  * [7065705] Removing .travis.yml
  * [23a92bf] Remove debugging in ci workflow

  [ Bas Couwenberg ]
  * [3c97246] Update gbp.conf to use --source-only-changes by default.
  * [ed92830] Update gbp.conf for deprecated section.
  * [4890f23] Drop obsolete symlinks for icinga 1.x.
  * [6086187] Drop obsolete autotools-dev build dependency.
  * [1407082] Don't set CFLAGS from noopt.
  * [94db0e3] Drop obsolete ORed build dependency.
  * [4ddc077] Bump Standards-Version to 4.5.1, no changes.

  [ Jan Wagner ]
  * [bb8ed44] d/s/option: drop travis and add github ignore
  * [52473e9] Rename debian/NEWS.Debian to debian/NEWS to make lintian happy
  * [45b13cf] debian/monitoring-plugins-common.docs: Fixing NEWS filename
  * [6ffbf14] Adding d/p/16_check_mailq_options from upstream (Closes: #954961)

 -- Jan Wagner <waja@cyconet.org>  Tue, 08 Dec 2020 19:45:04 +0100

monitoring-plugins (2.2-6ubuntu2) groovy; urgency=medium

  [Haw Loeung]
  * fix check_http - was having constant socket timeouts (LP: #1875517)
  - d/p/14_check_http_socket_timeouts

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Sat, 02 May 2020 06:43:05 +0000

monitoring-plugins (2.2-6ubuntu1) focal; urgency=medium

  * d/p/exclude-tmpfs-squashfs-tracefs.patch: Ignore artificial filesystems
    that trigger false-positive DISK CRITICAL checks due to reporting as at
    100% capacity.
    (LP: #1827159)

 -- Bryce Harrington <bryce@canonical.com>  Thu, 31 Oct 2019 00:21:55 +0000

monitoring-plugins (2.2-6build2) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 11:02:17 +0000

monitoring-plugins (2.2-6build1) eoan; urgency=medium

  * No change rebuild for libmysqlclient21.

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 15 Aug 2019 09:34:09 +0200

monitoring-plugins (2.2-6) unstable; urgency=medium

  * [697d611] travis-ci: Remove trusty from definition
  * [7b5d419] d/rules: Explicitly call ping with -4 and -6 on linux arch
    (Closes: #863981)

 -- Jan Wagner <waja@cyconet.org>  Tue, 16 Apr 2019 19:14:10 +0200

monitoring-plugins (2.2-5) unstable; urgency=medium

  [ Bas Couwenberg ]
  * [890cd8c] Bump Standards-Version to 4.1.5, no changes.
  * [59073f6] Bump Standards-Version to 4.2.0, no changes.
  * [e07a06c] Bump Standards-Version to 4.2.1, no changes.

  [ Jan Wagner ]
  * [40b9004] travis-ci: Use xenial image
  * [56443b1] d/control: Add Provides for 'old' nagios-plugins

  [ Bas Couwenberg ]
  * [c70710f] Apply path by Andreas Henriksson to fix usrmerge issue.
    (closes: #914092)
  * [377eec3] Bump Standards-Version to 4.3.0, no changes.

  [ Jan Wagner ]
  * [73f2273] Add d/p/14_mariad to fix FTBFS with MariaDB 10.3.
    (Closes: #919375)
  * [4f75b28] Add d/p/15_check_smtp_initialize to fix check_smtp with custom
    commands and SSL
  * [61315ee] d/rules: Configure with sudo (Closes: 905318)
  * [d8a134e] d/control: Add sudo to Recommends
  * [1fe1cd2] Symlink /usr/lib/nagios/plugins/utils.* to /usr/lib/icinga/
    (Closes: #879084, #907484)

 -- Jan Wagner <waja@cyconet.org>  Sun, 20 Jan 2019 19:40:25 +0100

monitoring-plugins (2.2-4) unstable; urgency=medium

  * [97cb3c4] Drop symlinks to removed LEGAL file. (Closes: #856676)
  * [878ceb9] Using absolut paths when using ucf, debconf 1.5.62 changed it's
    behaviour (Closes: #867256)
  * [22de139] d/control: Update VCS-headers
  * [b024e21] d/control: Priority extra is deprecated, using optional
  * [9095923] d/control: Drop old nagios-plugins* transitional packages
    (Closes: #878769)
  * [6956bcc] d/control: Bump Standards-Version to 4.1.4.0, no changes needed
  * [d634e5a] d/functions: Fixing ucf register function

 -- Jan Wagner <waja@cyconet.org>  Sun, 13 May 2018 14:04:35 +0200

monitoring-plugins (2.2-3) unstable; urgency=medium

  * [760496b] d/control: Drop useless libssl1.0-dev build depend alternative
  * [e5adc23] Update d/p/10_spell_fixes
  * [094efe4] Adding d/p/12_check_apt_only_crit and
    d/p/13_check_apt_list_packages
  * [e4d7fd6] travis-ci: Reduce complexity

 -- Jan Wagner <waja@cyconet.org>  Thu, 19 Jan 2017 08:14:21 +0100

monitoring-plugins (2.2-2) unstable; urgency=medium

  * [627d88a] d/control: Explicit build-dep on libssl-dev or libssl1.0-dev
    (Closes: #847612)

 -- Jan Wagner <waja@cyconet.org>  Sun, 11 Dec 2016 16:17:18 +0100

monitoring-plugins (2.2-1) unstable; urgency=medium


  * [6f99654] Adding OpenSSL support by d/p/21_openssl11 (Closes: #844031),
    still build against openssl 1.0
  * [3978de2] travis-ci: Add my own trusty ppa for newer lintian
  * [fc1e752] travis-ci: use distribution trusty
  * [0bf4153] travis-ci: Use include build matrix
  * [c845af0] New upstream version 2.2
  * [79b42f5] Drop patches integrated upstream
  * [be431d8] Don't ship removed LEGAL file anymore
  * [38c2cff] Apply d/p/10_spell_fixes
  * [abb379d] d/control: Remove nagios3 from Suggests (Closes: #846874)
  * [2857592] d/control: Add icinga2 as suggests alternative
  * [7fe2363] d/control: Update Vcs-Browser URL to HTTPS
  * [670b052] d/control: Update VCS-URLs to https and cgit
  * [ed0d010] Apply d/p/11_check_dhcp_MSG_PEAK
  * [4e87f4c] d/control: Remove explicit dependency on libssl-dev

 -- Jan Wagner <waja@cyconet.org>  Thu, 08 Dec 2016 15:13:41 +0100

monitoring-plugins (2.1.2-3) unstable; urgency=medium

  * [8bab78d] d/control: Replacing build-dep libmysqlclient-dev with
    default-libmysqlclient-dev
  * [c40925b] d/control: Bump Standards-Version to 3.9.8, no changes needed
  * [2499442] travis-ci: Do not autoremove packages
  * [c272a5f] travis-ci: Add trusty-backports
  * [c15dfcc] Remove dangling links for removed examples (Closes: #824599)
  * [767714f] d/control: Build-depend on libssl1.0-dev
  * [775a4db] d/control: Add libssl-dev (<< 1.1.0) as Build-depend alternative
    for backporting
  * [0ee6998] travis-ci: Make use of travis.d.n
  * [a4b8d68] travis-ci: Adding jessie repo
  * [7a42fe2] travis-ci: Also fetching all tags
  * [a3c46e3] travis-ci: Using httpredir.debian.org as mirror
  * [51e0ade] travis-ci: Builds on testing are allowed to fail
  * [11ce4ed] d/control: Add libmysqlclient-dev as Build-depend alternative for
    backporting
  * [cccb5e2] travis-ci: Add stable to travis env
  * [c614108] d/control: Adding libradcli-dev as first radius build-dep
    (Closes: #822337)
  * [1b1c5e9] Adding d/p/20_check_radius_radcli to add support for radcli
    (Closes: #822337)
  * [bbb8528] d/NEWS.Debian: Add a note about dependencies for check_radius
  * [438149a] Adjust check_radius command definition to use the correct
    radiusclient config file

 -- Jan Wagner <waja@cyconet.org>  Fri, 18 Nov 2016 12:22:37 +0100

monitoring-plugins (2.1.2-2) unstable; urgency=medium

  [ Jan Wagner ]
  * [6bcfb6c] Remove check_bgpstate and check_linux_raid from package
    description (LP: #1473229)
  * [93b217d] travis-ci: Adding required arguments for trusty
  * [af23094] travis-ci: Droping backports
  * [3fd4e78] travis-ci: automatically install dependencies

  [ Klaus Ethgen ]
  * [52ead1a] Fix /proc check on systems that have hardened system
    (Closes: #803154)

  [ Robie Basak ]
  * [db38432] Drop fping and qstat from Recommends to Suggests
  * [877f48a] Drop $(DEPSUBSTVARS) from dh_gencontrol call

  [ Jan Wagner ]
  * [8401f27] Use dh_prep instead of dh_clean -k
  * [093d9a4] Drop hardening-wrapper, use dpkg-buildflags instead

 -- Jan Wagner <waja@cyconet.org>  Mon, 16 Nov 2015 20:06:31 +0100

monitoring-plugins (2.1.2-1) unstable; urgency=medium

  * [710c8df] Imported Upstream version 2.1.2

 -- Jan Wagner <waja@cyconet.org>  Fri, 16 Oct 2015 15:00:57 +0200

monitoring-plugins (2.1.1+git20151012-1) unstable; urgency=medium

  * [b8377a8] travis-ci: don't install build-deps manual
  * [3fda51b] travis-ci: build package with dpkg-buildpackage
  * [e6de6c2] travis-ci: cosmetical changes
  * [1314f7b] Drop libmysqlclient16-dev and libmysqlclient15-dev as build-dep
    alternatives (Closes: #790468)
  * [f412e4a] Convert the package to source format 3.0 (quilt)
  * [25a6df7] debian/copyright: Deleting empty last line
  * [96ed330] debian/control: reformating with warp-and-sort
  * [1353afa] Reformating with warp-and-sort the rest of debian/
  * [5dbc8cb] travis-ci: grab actual used upstream version
  * [608ba75] Add patches/10_sslutils_checksslv3 from upstream maint branch
  * [8e98d7f] Add patches/11_check_dhcp_parsing_option from upstream maint
    branch
  * [0d48744] Add patches/12_check_ups_perf_data_hresholds from upstream maint
    branch
  * [fad70ed] Add patches/13_check_snmp_timeout from upstream maint branch
  * [a9d2a52] Add patches/14_sslutils_superfluous_parenthesis from upstream
    maint branch
  * [f69aba4] Add patches/15_check_smtp_expect from upstream master branch
  * [0c7f9bf] Add patches/16_check_smtp_quit from upstream master branch
  * [5d8b296] Add patches/17_check_smtp_forcetls_on_cert from upstream master
    branch
  * [494a834] Imported Upstream version 2.1.1+git20151012 (Closes: #784319)
  * [9e076d8] Droping patches imported from upstream maint branch
  * [605543c] Update version

 -- Jan Wagner <waja@cyconet.org>  Mon, 12 Oct 2015 16:12:30 +0200

monitoring-plugins (2.1.1-1) unstable; urgency=high

  * [61401f6] Imported Upstream version 2.1.1
  * [ace55d6] Droping all patches taken from upstream 'maint' branch
    - 10_check_apt_fix_memset.dpatch
    - 10_check_ntp_null_termination.dpatch
    - 10_check_real_null_termination.dpatch
    - 10_check_tcp_fix_help_escape.dpatch
    - 11_check_ntp_revert_n-p_coverty_fix.dpatch
    - 12_check_ntp_null_termination_jitter.dpatch

 -- Jan Wagner <waja@cyconet.org>  Tue, 02 Dec 2014 05:42:05 +0100

monitoring-plugins (2.1-3) unstable; urgency=high

  * [fecca17] Applying more patches from upstream 'maint' branch fixing the
    check_ntp fix and a small escape in check_tcp
    - 10_check_tcp_fix_help_escape.dpatch
    - 11_check_ntp_revert_n-p_coverty_fix.dpatch
    - 12_check_ntp_null_termination_jitter.dpatch
  * [92d5f60] Fixing dpatch macro
    - 10_check_ntp_null_termination.dpatch
    - 10_check_real_null_termination.dpatch

 -- Jan Wagner <waja@cyconet.org>  Mon, 01 Dec 2014 21:29:16 +0100

monitoring-plugins (2.1-2) unstable; urgency=high

  * [d4bbd4c] Applying patches from upstream 'maint' branch
    fixing grave coding errors
    - 10_check_apt_fix_memset.dpatch
    - 10_check_ntp_null_termination.dpatch
    - 10_check_real_null_termination.dpatch

 -- Jan Wagner <waja@cyconet.org>  Sat, 29 Nov 2014 11:12:58 +0100

monitoring-plugins (2.1-1) unstable; urgency=medium

  * [060ec72] Imported Upstream version 2.1 (Closes: #758662)
  * [5255a96] Add icinga2 as another Suggests option
  * [88b130b] Add --disable-maintainer-mode to configure, for not running
    autotools foo
  * [8f70394] Bump Standards-Version to 3.9.6, no changes needed

 -- Jan Wagner <waja@cyconet.org>  Wed, 15 Oct 2014 23:26:24 +0200

monitoring-plugins (2.0-2) unstable; urgency=medium

  * [1a9106e] debian/control: Fixing and generalizing descriptions
  * [3f5ec75] Updating debian/changelog
  * [ec235b0] travis-ci: use libfreeradius-client-dev as build-dep
  * [b2a2999] check_oracle: Fix --tns bad string matching
    - Adding 10_check_oracle_tns_bad_string.dpatch

 -- Jan Wagner <waja@cyconet.org>  Mon, 11 Aug 2014 15:22:59 +0200

monitoring-plugins (2.0-1) unstable; urgency=medium

  * [0841b5c] Imported Upstream version 2.0
    (Closes: #496307, #489974, #489974, #738042)
  * [49be365] Starting transition toward monitoring-plugins with debian/control
  * [a90fffd] Fix install path in dependency helper
  * [b6aca40] Fixing our debian/README.source to recent state
  * [cca2985] Fix documentation path in nt.cfg
  * [243da0a] Fix URL in the watch file
  * [ffc2ec8] Rename all debian nagios-plugins* to monitoring-plugins*
    (Closes: #736331)
  * [9f353b3] Fix package name in README.Debian* files
  * [fb6d01c] Fixing pathes in debian/rules and maintainers scripts
  * [03eb8d0] Document our move due renamed upstream
  * [5070f23] Droping patches applied upstream
    - 11_check_http_arguments.dpatch
    - 12_check_ssh_read_socket.dpatch
  * [ff3a690] Fix spelling error in debian/NEWS.Debian
  * [e754328] Fixing dependency relation
  * [fcf0c24] Updating standards version to 3.9.5 (no changes needed)
  * [72f1e74] Fix watch file to match further and actual releases
  * [85dfaeb] Repack upstream tarball on download
  * [ab4c50f] Update README.source
  * [5ae316e] Fixing repack.sh script
  * [0ef43fe] Add 03_configure.in_remove_perlmods.dpatch
  * [9b07715] Drop 13_check_proc_parent_process.dpatch
    - Included upstream
  * [a3145c9] Adjust repack.sh to latest upstream
  * [ce560c9] Add travis config
  * [b207889] Remove 03_configure.in_remove_perlmods.dpatch
  * [4e50939] travis-ci: Add lintian checks after build
  * [6fbf537] travis-ci: Remove gawk from buildenv
  * [5965a35] Include correct bug report for latest close (just cosmetic change)
  * [9939d1f] Breaks and Replaces against next upstream release
  * [1d11720] Don't use Pre-Depends
  * [4580974] check_fping: define fping6 command on compile time
    (Closes: #751866), many thanks Nicolas Deefayet for bringing this up
  * [7cb5f53] check_http: droping expect string from check_squid
    (Closes: #742363), thanks Andreas B. Mundt
  * [803b3e3] Add libfreeradius-client-dev as first build-dep option
    (Closes: #721621)
  * [c3dd2ca] Fixing typo in changelog
  * [4e2ccd5] NEWS.Debian: Adjust version, next stable release will be 2.0
  * [1742518] Use canonical VCS-URIs
  * [d4ad20c] Set -e in the body of the maintainers script
  * [a6611b1] check_icmp/check_dhcp: Implementing setcap
  * [90090cb] check_dhcp: Set proper capabilities
  * [a75bd42] README.Debian: Lazy documentation how to set capabilities
  * [6b6e127] NEWS.Debian: Adding some more details
  * [7f2013f] NEWS.Debian: Fix wording
  * [e7c0c6f] Adjust Break and Replace version in debian/control
  * [aeed4b2] Adjust VCS-Headers to new package name
  * [e789ea3] NEWS.Debian: Add a hint about negative values of check_snmp
  * [b798a92] debian/bin/repack.sh: Fixing substitution
  * [73fc1e6] travis-ci: droping m-p branch workaround
  * [9083aa4] debian/bin/repack.sh: adjust for configure.ac
  * [1b7ece7] debian/copyright: syncing license notice from upstream README
  * [8d8e2d4] debian/copyright: Add missing gl/m4/*.m4

 -- Jan Wagner <waja@cyconet.org>  Fri, 11 Jul 2014 23:40:41 +0200

nagios-plugins (1.5-3) unstable; urgency=medium

  * [38d8f67] Fixing latest changelog timestamp
  * [7091aae] check_ssh: Drop 12_check_ssh_read_socket.dpatch
    (Closes: #734811, #739254), this seems to make more touble in the wild as
    fixing #739254, Thanks Jim Barber

 -- Jan Wagner <waja@cyconet.org>  Mon, 17 Feb 2014 12:42:06 +0100

nagios-plugins (1.5-2) unstable; urgency=medium

  * Update Licensing text from upstream README
  * Switch over to packaging ti git-buildpackage
  * [1a95a53] Update Vcs-headers
  * [e0ee45e] Use check_ldap instead of check_ldaps for the check_ldaps*
    command definitions
  * [9bc7a29] Add 11_check_http_arguments.dpatch to fix argument processing
    of check_http
  * [219a55a] Add 12_check_ssh_read_socket.dpatch to fix socket read failure
    (Closes: #734811)
  * [0cc66f5] Fix typo in package description (Closes: #734513), thanks
    Pascal De Vuyst
  * [ec51a84] Just missed a typo to fix in debian/control
  * [de62798] Changing upstream URLs to monitoring-plugins.org
  * [1a03f82] Fix URL in the watch file
  * [201bd0e] Adding 13_check_proc_parent_process.dpatch (Closes: 626913),
    Thanks Anton Lofgren
  * [e5fc80f] Build again against libradiusclient-ng-dev, this Reopens: #721621
    - libfreeradius-client-dev is actually not supported by upstream
    - check_radius

 -- Jan Wagner <waja@cyconet.org>  Sun, 02 Feb 2014 22:11:48 +0100

nagios-plugins (1.5-1) unstable; urgency=medium

  * New upstream release

 -- Jan Wagner <waja@cyconet.org>  Wed, 02 Oct 2013 20:03:31 +0200

nagios-plugins (1.4.16+git20130926-1) unstable; urgency=medium

  * New upstream git snapshot (d4c5730464)
    - check_http: Die on SSL initialization errors
    - several updates to the upstream README

 -- Jan Wagner <waja@cyconet.org>  Fri, 27 Sep 2013 16:45:44 +0200

nagios-plugins (1.4.16+git20130919-1) unstable; urgency=medium

  * New upstream git snapshot (6f0366c8b8)
    - check_pgsql: Don't exit UNKNOWN instead of OK (Closes: #723738)
    - check_dhcp: fix mac address and interface number detection on solaris
    - check_disk: get_fs_usage hasn't been run if using groups
    - check_disk_smb: verify path to smbclient
    - check_tcp: use receive timeout for checks that expect response
    - check_load: add alternative uptime syntaxcheck_udp: try nc.traditional too
    - check_udp: unified nc syntax
    - check_fping: some fping versions set loss to 0% by mistake

 -- Jan Wagner <waja@cyconet.org>  Fri, 20 Sep 2013 11:40:38 +0200

nagios-plugins (1.4.16+git20130912-1) unstable; urgency=medium

  * New upstream git snapshot (4933146e00) (Closes: #722576)
    - check_snmp: add timeout handler befor running snmpget
    - check_tcp: only test ipv6 if ping6 works
    - tests: sort cached settings before save
    - tests: make sure tests don't hang
    - check_tcp: Fix checks without --expect string
    - check_tcp: Properly deal will partial recv(3)s
    - Improve interface of np_expect_match() function

 -- Jan Wagner <waja@cyconet.org>  Fri, 13 Sep 2013 00:24:22 +0200

nagios-plugins (1.4.16+git20130911-1) unstable; urgency=medium

  * New upstream git snapshot (ca9ce71576)
    - Don't mark SSL_METHOD variable as "const"
    - Move global variables from .h to .c files
    - Fix GCC's -Wimplicit-function-declaration warnings
    - Fix GCC's -Wuninitialized warnings

 -- Jan Wagner <waja@cyconet.org>  Wed, 11 Sep 2013 13:02:31 +0200

nagios-plugins (1.4.16+git20130910-1) unstable; urgency=medium

  * New upstream git snapshot (cfb50add53)
    - check_tcp: Don't close connection too early
    - check_http: s/--proxy_authorization/--proxy-authorization/
    - check_snmp: Initialize size_t value to 0, not NULL
    - Update bundled libtool files
    - check_icmp: Minor whitespace/indentation fixes
    - check_icmp: Support "--help" and "--version"

 -- Jan Wagner <waja@cyconet.org>  Tue, 10 Sep 2013 14:01:39 +0200

nagios-plugins (1.4.16+git20130902-1) unstable; urgency=medium

  * New upstream git snapshot (5789548373) (Closes: #522812)
    - Adjust debian/copyright
  * Droped the following upstream integrated patches
    - 05_fix_gets_undefined_in_iso_c11.dpatch
    - 10_check_apt_perfdata.dpatch
    - 11_check_nt_npe.dpatch
    - 12_check_smtp_double_threshold.dpatch
  * Fix removing empty /usr/include
  * Add new check_dbi into nagios-plugins-standard
  * Remove whois from Recommands, as check_bgpstate is removed
  * Cleanup debian/rules from unused stuff
  * Provide information about repackaging
    - Extend debian/README.source
    - Add debian/bin/repack.sh
  * Updating standards version to 3.9.4 (no changes needed)
  * Add libfreeradius-client-dev to build-deps and remove libradiusclient-ng-dev
    (Closes: #721621)
  * Remove traces of contrib/ from debian/copyright
  * Remove command.cfg from examples in nagios-plugins-common, it was removed
    upstream

 -- Jan Wagner <waja@cyconet.org>  Tue, 03 Sep 2013 15:13:11 +0200

nagios-plugins (1.4.16-3) unstable; urgency=medium

  * Fixed check_squid* command definitions
  * Add double threshold to check_smtp (LP: #318703)
    - 12_check_smtp_double_threshold.dpatch
  * Remove the additional argument from check_ssh and check_proc
    (Closes: #717229, 720580)

 -- Jan Wagner <waja@cyconet.org>  Fri, 23 Aug 2013 22:10:13 +0200

nagios-plugins (1.4.16-2) unstable; urgency=low

  * Add versioned dependency to inetutils-ping (Closes: #680416), thanks to
    Robert Millan
  * Move nagios-plugins-contrib from Recommends to Suggests
  * Define the path for rpcinfo to /usr/sbin and recommend rpcbind
    - LP: #1086151
    - Closes: #713839, thanks to Russell Sim
  * Enable Extra-Opts by adding --enable-extra-opts to configure flags
    (Closes: #698119)
  * Fix FTBFS: do not assume that gets is defined
    - LP: #1097848
    - Closes: #701406
  * Add performance data to check_apt: 10_check_apt_perfdata.dpatch
    (Closes: #708343)
  * Fixing NULL pointer dereference in check_nt (Closes: #714281), thanks to
    Vaclav Ovsik
  * Add additional arguments to command definitions in (Closes: #709297):
    - dhcp.cfg
    - dns.cfg
    - ftp.cfg
    - http.cfg
    - mail.cfg
    - mysql.cfg
    - news.cfg
    - ntp.cfg
    - pgsql.cfg
    - procs.cfg
    - ssh.cfg
    - tcp_udp.cfg
    - telnet.cfg

 -- Jan Wagner <waja@cyconet.org>  Wed, 10 Jul 2013 15:08:23 +0200

nagios-plugins (1.4.16-1) unstable; urgency=low

  * New upstream release
   - Drop 00_fix_release_version.dpatch
  * Droped the following upstream integrated patches
    - 03_check_disk_smb_perfdata.dpatch
    - 10_check_dhcp_Fix-handling-of-pad-options.dpatch
    - 11_check_dhcp_Don-t-misinterpret-the-siaddr-field.dpatch
  * Updated debian/copyright

 -- Jan Wagner <waja@cyconet.org>  Wed, 27 Jun 2012 23:06:52 +0200

nagios-plugins (1.4.16~pre1-1) unstable; urgency=medium

  * New upstream snapshot (Closes: #662638, #514588)
  * Droped the following upstream integrated patches
    - 10_check_disk_smb_spaces.dpatch
    - 11_check_disk_smb_NT_STATUS_ACCESS_DENIED.dpatch
    - 12_check_snmp_1.4.15_regression.dpatch
    - 13_check_smtp_greeting.dpatch
    - 14_check_icmp_multiple_ips.dpatch
    - 15_check_sensors_fault.dpatch
    - 16_check_raduis_fix_format-security.dpatch
    - 17_check_tcp_fix_duplicate_cert_message.dpatch
    - 17_check_smtp_fix_duplicate_cert_message.dpatch
    - 18_check_snmp_labels.dpatch
    - 19_check_http_help.dpatch
  * Added the following upstream patches
    - 10_check_dhcp_Fix-handling-of-pad-options.dpatch
    - 11_check_dhcp_Don-t-misinterpret-the-siaddr-field.dpatch
  * Add 00_fix_release_version.dpatch to fix release version
  * Bump Standards-Version to 3.9.3, no changes needed

 -- Jan Wagner <waja@cyconet.org>  Thu, 14 Jun 2012 10:39:44 +0200

nagios-plugins (1.4.15-7) unstable; urgency=low

  * Recommand nagios-plugins-contrib via nagios-plugins, drop
    nagios-plugins-common which gets installed by nagios-plugins-basic
    anyways
  * Add Replaces: nagios-plugins-basic to nagios-plugins-common
    (Closes: #673891), thanks to Christoph Anton Mitterer

 -- Jan Wagner <waja@cyconet.org>  Tue, 22 May 2012 20:00:03 +0200

nagios-plugins (1.4.15-6) unstable; urgency=low

  * Add nagios-plugins-common package which ships files possibly needed also by
    other plugin packages
  * Removed check_bgpstate and check_linux_raid from package
    - Deleted 01_subst.in.dpatch and 05_check_linux_raid_fix_striped.dpatch
    - Remove check_snmp_bgpstate command definition
  * Recommand nagios-plugins-common via nagios-plugins
  * Add icinga as recommand as alternative for nagios3
  * Add '-w %d' as ping argument for check_ping on non-linux plattforms, as
    inetutils-ping is now supporting this, thanks Guillem Jover for bringing
    this up (Closes: #655023)
  * Adding 17_check_smtp_fix_duplicate_cert_message.dpatch and
    17_check_tcp_fix_duplicate_cert_message.dpatch (Closes: #654682), to fix
    duplicate messages when certificate errors occures, thanks Sebastian Harl
    for reporting
  * Add build-arch and build-indep targets to debian/rules
  * Add 03_check_disk_smb_perfdata.dpatch to add perfdata to check_disk_smb
   (Closes: #654259), thanks to G. Leimua
  * Add 18_check_snmp_labels.dpatch to fix multiple labels in check_snmp
   (Closes: #647020), thanks to Oskar Liljeblad
  * Updating Vcs-Browser field
  * Add 19_check_http_help.dpatch to clarify that check_http won't verify
    certificates (Closes: #644627), thanks to Michael Renner
  * Add check_jabber and check_jabber_4 command definitions
  * Add check_mysql_slave command definition

 -- Jan Wagner <waja@cyconet.org>  Fri, 18 May 2012 11:41:17 +0200

nagios-plugins (1.4.15-5) unstable; urgency=low

  * Enable hardening options (Closes: #542728)
  * Bump Standards-Version to 3.9.2, no changes needed
  * Updating package description (Closes: #640070), thanks to Christoph Anton
    Mitterer
    - Listing the checks of each package
    - Hint added, that nagios-plugins-basic needs more packages (recommands)
  * Adding 16_check_raduis_fix_format-security.dpatch to fix error in
    check_radius when compiling with -Werror=format-security (hardening),
    thanks Thomas Guyot-Sionnesti - LP: #837085
  * Adding 15_check_sensors_fault.dpatch to detect sensors in FAULT state,
    thank Holger Weiss (Closes: #615133)
  * Remove empty /usr/include from nagios-plugins-basic, thanks Ferenc Wagner
    (Closes: #630711)

 -- Jan Wagner <waja@cyconet.org>  Wed, 07 Sep 2011 12:23:56 +0200

nagios-plugins (1.4.15-4) unstable; urgency=low

  * Add 13_check_smtp_greeting.dpatch (Closes: #611914), thanks Daniel Piddock
    for spotting and Holger Weiss for providing a fix
    - Abort immediately if we don't receive a server greeting or if the
      greeting doesn't contain the "--expect"ed string (by default: "220")
      instead of blindly sending the EHLO/HELO line.
  * Add 14_check_icmp_multiple_ips.dpatch (Closes: #623702), thanks Max Kosmach
    for spotting and Sebastian Harl for providing a fix
    - When specifying a host-name on the command line, each of its IPs is added
      to the host table (and each one is pinged). So, the buffer has to be large
      enough to hold all of the respective host objects. (argc - 1) only fits
      hosts with a single IP.
  * Move libraries linked at compile time against checks of
    nagios-plugins-standard from Depends to Recommends (Closes: #569028)
    - Add slightly modified bin/gen_plugin_deps.pl from collectd source package
    - Add linked libraries via bin/gen_plugin_deps.pl into
      /usr/share/doc/nagios-plugins-standard/README.Debian.plugins
    - Build-Depend on perl
    - Create customized substvars for nagios-plugins-standard via
      dpkg-shlibdeps in debian/rules
    - Remove temporary files via clean target in debian/rules
    - Add hint to NEWS.Debian

 -- Jan Wagner <waja@cyconet.org>  Wed, 18 May 2011 16:31:35 +0200

nagios-plugins (1.4.15-3) unstable; urgency=low

  * Add 10_check_disk_smb_spaces.dpatch from upstream svn (Closes: #601699),
    thanks to Adam Buchbinder
  * Add 11_check_disk_smb_NT_STATUS_ACCESS_DENIED.dpatch from upstream svn
    (Closes: #601696), thanks to Adam Buchbinder
  * Fix broken symlink of README.Debian.plugins (Closes: #603414), thanks
    Bernd Zeimetz
  * Add patche provided by upstream to fix regressions with check_snmp
    introduced in 1.4.15 (Closes: #607736)
    - 12_check_snmp_1.4.15_regression.dpatch

 -- Jan Wagner <waja@cyconet.org>  Wed, 22 Dec 2010 00:43:02 +0100

nagios-plugins (1.4.15-2) unstable; urgency=low

  [ Alexander Wirt ]
  * Call ps with two "w" to ensure unlimited width of ps output
    (Closes: #596372)

  [ Jan Wagner ]
  * Add 05_check_linux_raid_fix_striped.dpatch to fix bad output from
    check_linux_raid with RAID0 and linear volumes, thanks to Thomas
    Guyot-Sionnest (Closes: #579049) - LP: #621380
  * Bump Standards-Version to 3.9.1, no changes needed

 -- Jan Wagner <waja@cyconet.org>  Thu, 23 Sep 2010 09:24:39 +0200

nagios-plugins (1.4.15-1) unstable; urgency=low

  * New upstream release (Closes: #588273, #522631)
  * Droped the following upstream integrated patches
     - 03_check_smtp_help.dpatch
     - 06_checkircd.dpatch
     - 18_check_game_cmdline.dpatch
     - 22_check_smb_hostaddress.dpatch
     - 32_check_ldap_pointer.dpatch
     - 33_fix_emb_check_disk_smb.dpatch
     - 34_fix_smbclient_check_disk_smb.dpatch
     - 35_check_http_date.dpatch
     - 36_check_ldap_empty_base.dpatch
     - 37_check_radius_nas-ip-address.dpatch
     - 39_check_ircd_fix_epn.dpatch
     - 40_check_http_proxy_auth.dpatch
     - 41_check_ping_detect_args.dpatch
     - 42_check_linux_raid_fix_r10.dpatch
     - 42_check_linux_raid_fix_rebuild.dpatch
     - 43_check_http_large_pages_mleak.dpatch
     - 44_check_snmp_perfdata.dpatch
     - 45_check_http_sni_optional.dpatch
  * Rename 13_subst.in_again.dpatch to 01_subst.in.dpatch
  * Fix ssh_disk and make ssh_disk* better readable, thanks
    Paul Slootman (Closes: #582272)

 -- Jan Wagner <waja@cyconet.org>  Sat, 31 Jul 2010 10:34:04 +0200

nagios-plugins (1.4.14-5) unstable; urgency=low

  * Adding links to Debian and Upstream bugreports into most of the patches
  * Dropping patches not needed anymore, thanks Holger Weiss for assisting:
    - 14_check_log_paths.dpatch: paths are fine now
    - 26_implicit-basename.dpatch: no 'implicitly convertion' found in buildlog
      without the patch
    - 27_check_radius_segfault.dpatch: check_radius.c:161 initializes "data" to
      0 using memset(3) and problem not longer reproducable on amd64 without
      the patch
  * Drop 13_subst.in_again.dpatch and move 38_fix_libexec.dpatch to
    13_subst.in_again.dpatch
  * Fix 34_fix_smbclient_check_disk_smb.dpatch and drop
    23_check_smb_password.dpatch, thanks Holger Weiss for notification
  * Update 39_check_ircd_fix_epn.dpatch with fix from upstream, thanks
    Holger Weiss
  * Add 03_check_smtp_help.dpatch to add the help output of "-F" to check_smtp,
    thanks to Josip Rodin (Closes: #578374)

 -- Jan Wagner <waja@cyconet.org>  Sat, 08 May 2010 22:11:17 +0200

nagios-plugins (1.4.14-4) unstable; urgency=low

  * Remove libmysqlclient12-dev from Build-Deps, as it's obsolete
  * Restructure shipped documentation
    - Move all common stuff info nagios-plugins-basic
    - Provide package specific documentation with the packages
    - Provide symlinks from other packages
  * Remove debian/TODO cause it't totally outdated
  * Add 44_check_snmp_perfdata.dpatch to fix regression related perfdata
  * Add 45_check_http_sni_optional.dpatch to fix regression related ssl/sni
    checks

 -- Jan Wagner <waja@cyconet.org>  Thu, 08 Apr 2010 23:16:59 +0200

nagios-plugins (1.4.14-3) unstable; urgency=low

  * Remove Sean and Guido from the Uploaders list, thanks for your work
  * Move postfix | sendmail-bin | exim4-daemon-heavy | exim4-daemon-light
    to Suggests, thanks to Glennie Vignarajah (CLoses: #574591)
  * Install NEWS.Debian and README.Debian* to the appropriate packages
  * Add 42_check_linux_raid_fix_rebuild.dpatch to return Warning when
    rebuilding volume, thanks to Christoph Martin (CLoses: #574612)

 -- Jan Wagner <waja@cyconet.org>  Wed, 24 Mar 2010 20:05:13 +0100

nagios-plugins (1.4.14-2) unstable; urgency=low

  * Cosmetic change to last changelog entry
  * Add some hints to NEWS.Debian about the use on non-linux archs
  * Bump Standards-Version to 3.8.4, no changes needed
  * Add 1.0 to debian/source/format
  * Add 43_check_http_large_pages_mleak.dpatch, taken from upstream, which
    fixes memory leaks on large files
  * Add trailing trunk/ at Vcs-Svn-field
  * Remove radiusclient1 from Dependencies, as check_radius seems not need it
  * Move check_mailq to nagios-plugins-standard, cause it depends
    postfix|sendmail|exim4 or qmail
    - Add "postfix | sendmail-bin | exim4-daemon-heavy | exim4-daemon-light" to
      Recommends of nagios-plugins-standard
  * Move remaining Depends binaries of nagios-plugins-standard to Recommends,
    keeping Depends we have used at linking (for now)

 -- Jan Wagner <waja@cyconet.org>  Mon, 15 Mar 2010 22:41:29 +0100

nagios-plugins (1.4.14-1) unstable; urgency=low

  * New upstream release
  * Added libmysqlclient16-dev to build-deps and moved libmysqlclient-dev to
    the first position (Closes: #538487)
  * Configure ps to use also etime with check_proc, thanks to
    Justin T Pryzby (Closes: #540107)
  * Removing vsz.cfg, check_vsz isn't available anymore and check_proc can be
    used, thanks to Keith (Closes: #542700)
  * Updating standards version to 3.8.3
    - Add README.source
  * Droped unused patches from debian/patches
  * Add 39_check_ircd_fix_epn.dpatch to fix epn, thanks to Hendrik Jaeger and
    Alexander Wirt (Closes: #545940)
  * Remove coreutils from build-depends, it's essential
  * Raise compat level to 5
  * Update 06_checkircd.dpatch, which got fixed upstream
  * Add 40_check_http_proxy_auth.dpatch to make check_http able to check proxy
    authorization
  * Update copyright, thanks to Robert Millan (Closes: #548303)
  * Depend on inetutils-ping on kfreebsd and hurd, thanks to Petr Salinger
    (Closes: #555532)
    - Use '-n -c %d %s' as ping argument on archs where inetutils-ping is used
    - Add 41_check_ping_detect_args.dpatch, thanks to Thomas Guyot-Sionnest
  * Add hint to NEWS.Debian, that check_linux_raid.pl and check_bgpstate will
    be removed in the next future
  * Add 42_check_linux_raid_fix_r10.dpatch, which fixes RAID Levels with more
    than one digit, thanks to Matija Nalis (Closes: #534604)
  * Move qstat from Depends to Recommends, since its just used for check_game
    and that seems not really essential, leaving note in NEWS file, thanks to
    Steve Lane (Closes: #561770)
  * Add 02_check_icmp_links.dpatch to provide check_host and check_rta_multi,
    thanks to Justin T Pryzby for reporting (Closes: #563090)
  * Fix check-switch-alive* check commands by adding "-H" at the appropriate
    place
  * Add lintian fixes
    - Add ${misc:Depends} to nagios-plugins dependencies
    - Fix two spelling errors in README.Debian

 -- Jan Wagner <waja@cyconet.org>  Sat, 23 Jan 2010 01:07:49 +0100

nagios-plugins (1.4.13+git200906171200-1) unstable; urgency=low

  * new upstream
    - check_http doesn't enforce port (Closes: #494835)
    - check_http --onredirect=sticky follows using the same IP address
      (Closes: #502529)
    - Fixed buffer overflow in check_ntp/check_ntp_peer (Closes: #528686)
    - Fixed check_mrtg returning UNKNOWN instead of OK (Closes: #335871)
    - Fixed check_by_ssh interpretation of quotes in -C parameter
      (Closes: #425312)
    - Fixed coredump from check_nt when drive not found (Closes: #521097)
    - Removed -n option in check_smtp's help and usage output (Closes: #525307)
    - Fixed check_icmp --help output for warn and critical thresholds
      (Closes: #530553)
    - Fix potential buffer overflow in check_snmp - enforce MAX_OIDS limit
      (Closes: #460405)
  * adjusted the following patches for new upstream
    - 13_subst.in_again.dpatch
    - 37_check_radius_nas-ip-address.dpatch
  * removed the following patches from 00list cause they where integrated
    - 39_check_dig_options.dpatch
    - 40_check_http_status_line.dpatch
    - 41_check_http_fix_http_header.dpatch
    - 42_check_ups_logoutfix.dpatch
    - 43_check_ntp_segfaults.dpatch
    - 50_misc_typos.dpatch
  * add trailing $ to check_httpname, thanks Daniel Pocock (Closes: #524629)
  * add informations into README.Debian how to use plugins (Closes: #525168)
  * add check_nscp which uses the default port of NSClient++ (Closes: #528262)
  * providing some explanation about predefined check commands in README.Debian
  * pointing to README.Debian in nt.cfg
  * add 'make install-root' to debian/rules to get suid plugins installed again
  * bump standards version to 3.8.2 (no changes needed)

 -- Jan Wagner <waja@cyconet.org>  Mon, 06 Jul 2009 20:21:42 +0200

nagios-plugins (1.4.12-5) unstable; urgency=low

  * add missing auth pair parameter to check_https_auth_hostname* command
    definitions
  * changing check_cups command to use host headers anymore, since cups changed
    it's behavior in etch, thanks Maximilian Gass (Closes: #505610)
  * add -e to all preconfigured check commands using check_disk, to only display
    effected partitions, when warning or critical, thanks to
    Filip Van Raemdonck and Jacob L. Anawalt (Closes: #395389)
  * add 42_check_ups_logoutfix.dpatch to fix logout problem with check_ups
    (Closes: #387001)

 -- Jan Wagner <waja@cyconet.org>  Fri, 30 Jan 2009 22:50:35 +0100

nagios-plugins (1.4.12-4) unstable; urgency=low

  * add server_port back to 41_check_http_fix_http_header.dpatch,
    patch was incomplete
  * add warning and critical threshold to check_disk_smb_user command
    definition
  * fix check_http?_hostname* command definitions
  * adjust 'check_ssh_4' command definition, it needs the v4 argument at first,
    thanks Julien Ozog (Closes: #500774).

 -- Jan Wagner <waja@cyconet.org>  Sun, 24 Aug 2008 07:40:12 +0200

nagios-plugins (1.4.12-3) unstable; urgency=low

  * rename 40_check_http_status_line.patch to 40_check_http_status_line.dpatch
    and make it able to apply
  * add 40_check_http_status_line.dpatch to 00list to really fix #486932
  * add 41_check_http_fix_http_header.dpatch to support virtual servers
    (Closes: #494835)

 -- Jan Wagner <waja@cyconet.org>  Sat, 23 Aug 2008 17:20:34 +0200

nagios-plugins (1.4.12-2) unstable; urgency=low

  * add 40_check_http_status_line.dpatch to add content of the status_line
    into the check_http output (Closes: #486932)
  * clean patches from reject files left from dpatch-edit-patch
  * fix 34_fix_smbclient_check_disk_smb.dpatch, thanks Stephane Chazelas
    <stephane@artesyncp.com> for helping out here (Closes: #488820)

 -- Jan Wagner <waja@cyconet.org>  Fri, 04 Jul 2008 16:53:07 +0200

nagios-plugins (1.4.12-1) unstable; urgency=low

  [ Jan Wagner ]
  * new upstream
    - check_http supports now an IPv6 as value for parameter -H
    (Closes: #457336)
    - Enhanced check_smtp to actually print invalid response text
    (Closes: #467493)
  * removed the following patches, cause fixed upstream
    - 28_check_pgsql_include_for_8.3.dpatch
    - 29_check_ntp_fixsefault_deprecate.dpatch
    - 30_fix_check_ntp_options.dpatch
    - 31_check_disk_local_option.dpatch
  * adjust 50_misc_typos.dpatch to apply new upstream
  * remove unneeded debhelper scripts from rules
  * remove senseless comments from patches
  * add missing descriptions to patches
  * add missing command definition for check_ldaps, thanks Michael Renner
    <robe@amd.co.at> for reporting it (Closes: #407310)
  * remove sarge handholding for configfiles migration
  * add nagios3 to Suggests and remove nagios2, nagios and nagios-text
    (Closes: #479292)
  * adjust year in copyright
  * include list of files which are GPL3 into copyright
  * build depend on libradiusclient-ng-dev instead of libradius1-dev (for more
    informations see REQUIREMENTS)
  * add 33_fix_emb_check_disk_smb.dpatch which fixes processing via embedded
    perl of check_disk_smb, thanks Stephane Chazelas <stephane@artesyncp.com>
    for providing it (Closes: #478906)
  * add 34_fix_smbclient_check_disk_smb.dpatch which fixes usage of smbclient,
    thanks Stephane Chazelas <stephane@artesyncp.com> for providing it and
    adding ' around arguments in plugin configs
    (Closes: #478942)
  * add 35_check_http_date.dpatch which fixes date parsing of check_http,
    thanks Hilko Bengen <bengen@debian.org> for providing it (Closes: #460097)
  * add 36_check_ldap_empty_base.dpatch which allows empty ldap base, thanks
    to Stephane Chazelas <stephane@artesyncp.com> for providing it
    (Closes: #479984)
  * add 37_check_radius_nas-ip-address.dpatch to add support for nas-ip to
    check_radius, thanks Josip Rodin <joy@debbugs.entuzijast.net> for
    providing it (Closes: #482947)
  * provide new checks for check_http which makes use of "-H '$HOSTNAME'"
    (Closes: #423461)
  * fixed check_radius command definition and removed static port in favor of
    ability to provide it as 4th argument, since it was broken and unusable
    anyways, thanks Josip Rodin <joy@debbugs.entuzijast.net> for profiding a
    fix (Closes: #482942)
  * mention the check_radius breakerage in NEWS.Debian
  * add check_linux_raid into package (Closes: #461999) and add
    38_fix_libexec.dpatch to fix libexec path
  * Updating standards version to 3.8.0, no changes needed
  * add 39_check_dig_options.dpatch which provides fix for no check for
    mandatory parameter -l, thanks Matthias Eble
    <psychotrahe at users.sourceforge.net> for providing a fix
    (Closes: #479013)

  [ Alexander Wirt ]
  * Call smbclient with -N (supress password prompt) if no password is
    supplied. Thanks to Josip Rodin for the patch (Closes: #425129)
  * Add myself to uploaders

 -- Jan Wagner <waja@cyconet.org>  Tue, 17 Jun 2008 23:18:32 +0200

nagios-plugins (1.4.11-2) unstable; urgency=low

  * Remove Build-depends on libsnmp*-dev since it's not needed anymore
   (Closes: #429778)
  * fix check_disk --local by adding 31_check_disk_local_option.dpatch
   (Closes: #405537)
  * define LDAP_DEPRECATED in check_ldap.c to make use of old API by adding
    32_check_ldap_pointer.dpatch (Closes: #463322)
  * add more authors from upstreams AUTHORS to changelog
  * include a more explicit copyright notice to copyright to make lintian
    happy
  * include OpenSSL exception from upstream README into copyright
  * make use of dh_* -i for binary-indep and dh_* -s for binary-arch
    (Closes: #468467)
  * remove some unneeded and commented debhelper scripts in binary-arch
  * remove postgresql-dev from build-depends, thanks Lior Kaplan
    <kaplan@debian.org> for reminding (Closes: #429977)

 -- Jan Wagner <waja@cyconet.org>  Thu, 06 Mar 2008 22:07:31 +0100

nagios-plugins (1.4.11-1) unstable; urgency=low

  [ Jan Wagner ]
  * new upstream release
  * drop CVE-2007-5623.dpatch since it's included upstream
  * fix Vcs- fields fields
  * use $HOSTADDRESS$ instead of $HOSTNAME$ in dns.cfg (closes: #405244).
  * add typo fix for check_mailq into 50_misc_typos.dpatch (closes: #435525).
  * add 28_check_pgsql_include_for_8.3.dpatch to get check_pgsql working
    together with libpq-dev (closes: #462509).
  * add 29_check_ntp_fixsefault_deprecate.dpatch to fix segfaults for
    check_ntp and check_ntp_time
  * add 30_fix_check_ntp_options.dpatch to fix options help for check_ntp_peer
    and check_ntp_time
  * migrate ntp.cfg to new check_ntp_peer

 -- Sean Finney <seanius@debian.org>  Sat, 26 Jan 2008 15:04:00 +0100

nagios-plugins (1.4.10-1) unstable; urgency=low

  [ Jan Wagner ]
  * new upstream
    - fixes CVE-2007-5198 (closes: #445475, #447639), thanks Steffen Joeris
      and Nico Golde for NMU.
    - fix for negate which may break existing commands:
       stop evaluating command line options through shell twice
       enforce a full path for the command to run
  * add interface check with exclude to ifstatus.cfg
  * add ssh check with possibility of port specification to ssh.cfg
  * included fix for watch file provided by Raphael Geissert, thanks (closes:
    #449671).
  * include fix for several typos provided by Luca Falavigna, thanks (closes:
    #453012).
  * merge changes from and ack NMU. Thanks Nico Golde (closes: #448372).
  * Don't ignore errors from make clean
  * Bump standards version to 3.7.3
  * added Vcs- fields and Homepage into source header's field
  * modify 00list so 06_checkircd.dpatch can get patched in
  * removed libsnmp5-dev as depency option and turned around order of
    libsnmp9-dev and libsnmp-dev, since only libsnmp-dev is in unstable and
    libsnmp9-dev in stable

 -- Sean Finney <seanius@debian.org>  Fri, 07 Dec 2007 00:55:42 +0100

nagios-plugins (1.4.8-2.2) unstable; urgency=high

  * Non-maintainer upload by testing-security team.
  * Fix remote DoS which can be triggered by a remote attacker
    via crafted snmpget replies (CVE-2007-5623) (Closes: #448372).
  * Modifying CVE-2007-5198 patch since it is incomplete (Closes: #447639).

 -- Nico Golde <nion@debian.org>  Sun, 28 Oct 2007 16:15:54 +0100

nagios-plugins (1.4.8-2.1) unstable; urgency=high

  * Non-maintainer upload by the testing-security team
  * Include CVS patch to fix buffer overflow in redir function in
    check_http.c, which was caused by parsing HTTP redirect strings
    using sscanf (Closes: #445475)
    Fixes: CVE-2007-5198
  * Include fix for off-by-one error and a NULL pointer, which leads
    to a segfault

 -- Steffen Joeris <white@debian.org>  Sun, 14 Oct 2007 10:36:01 +0000

nagios-plugins (1.4.8-2) unstable; urgency=low

  * fix typo in upstream configure script which caused some plugins
    to disappear (closes: #425758).  thanks to Bernhard Schmidt for
    catching it.

 -- sean finney <seanius@debian.org>  Mon, 28 May 2007 19:39:24 +0200

nagios-plugins (1.4.8-1) unstable; urgency=low

  New upstream release.

  [jan wagner]
  * add explicit IPv4 checks to disk.cfg, ftp.cfg, http.cfg, ldap.cfg,
    mail.cfg, news.cfg, ping.cfg, pgsql.cfg, snmp.cfg, ssh.cfg,
    tcp_udp.cfg and telnet.cfg
  * add check_bgpstate script from contrib to nagios-plugins-standard
  * add whois to Suggests of nagios-plugins-standard
  * fixed static community string for check_snmp_bgpstate in snmp.cfg
    (closes: #403892).
  * remove static community string in ifstatus.cfg
  * add check_mysql_database to mysql.cfg
  * add check_cups to http.cfg

  [sean finney]
  * the Architecture should be "all" for the empty nagios-plugins
    metapackage (closes: #422083).
  * merge changes from and ack NMU. Thanks to Michael Tautschnig
    (closes: #420954).
  * modify the Suggests to prefer nagios2 to nagios-text.
  * remove the following patches, which have been included upstream:
    - 28_check_tcp.expect_reporting.dpatch
    - 29_check_tcp.check_jabber-returns-warning.dpatch
  * update debian/rules to reflect that config.{sub,guess} have changed
    location in the upstream tarball.

 -- sean finney <seanius@debian.org>  Sun, 20 May 2007 20:29:13 +0200

nagios-plugins (1.4.5-2.1) unstable; urgency=low

  * Non-maintainer upload
  * nagios-plugins-standard must have a versioned depends on
    nagios-plugins-basic (Closes: #420954)

 -- Michael Tautschnig <tautschn@model.in.tum.de>  Fri, 18 May 2007 22:44:59 +0200

nagios-plugins (1.4.5-2) unstable; urgency=medium

  * fix for spurious conffile-type prompts from ucf, thanks to
    Stephen Gran for catching this (closes: #400595).

 -- sean finney <seanius@debian.org>  Wed, 06 Dec 2006 22:38:38 +0100

nagios-plugins (1.4.5-1) unstable; urgency=low

  * new upstream (bugfix only) release.  the following patches
    have been obsoleted:
    - 27_is_hostname.dpatch
  * fix for segfaulting check_radius plugin, thanks to Yasper
    Casper for finding it (closes: #399532, #379788).
    patch: 27_check_radius_segfault.dpatch
  * regarding the fix for check_ups in the previous patch: both
    the bug number and the attribution were incorrect.  thanks are
    due to Robbert Kouprie (closes: #398780).

 -- sean finney <seanius@debian.org>  Mon, 20 Nov 2006 20:31:23 +0100

nagios-plugins (1.4.4-2) unstable; urgency=low

  * fix for implicit definition of basename function, thanks to
    dann frazier for finding it (closes: #396814).
    patch: 26_implicit-basename.dpatch
  * aparently the check_ups fix caused problems as well as solved them.
    until we ge a real fix for the problem i'm reverting the patch.
    thanks to Michael Bussmann (closes: #398767).
  * add '-' to allowable characters in is_hostname.  thanks again to
    Michael Bussmann (closes: #398767).
    patch: 27_is_hostname.dpatch

 -- sean finney <seanius@debian.org>  Fri, 17 Nov 2006 09:37:17 +0100

nagios-plugins (1.4.4-1) unstable; urgency=low

  [sean finney]
  * new upstream release.  actually, we've been basing previous versions
    on cvs snapshots so the changes aren't that big.
  * upstream includes fix for warn/crit handling in check_tcp based plugins
    such as check_simap (closes: #351847).
  * dpkg's conffile handling can't deal with migrating config files
    from nagios-plugins to nagios-plugins-foo, so we're now managing
    all the config files via ucf (closes: #339971).
  * remove some unneeded build-deps, and bump Standards-Version
  * fix for multiple expect strings in check_tcp.c.  thanks to Ralph Rößner
    for finding this (closes: #395176).

 -- sean finney <seanius@debian.org>  Wed, 01 Nov 2006 22:57:16 +0100

nagios-plugins (1.4.3.0cvs.20060707-3) unstable; urgency=high

  [sean finney]
  * to make backporting easier, change the build dep on libpq-dev
    to libpq-dev | postgresql-dev.  thanks to Jan Wagner for the
    suggestion.
  * fix for check_ldaps showing up in two packages (closes: #373926).
    thanks to Jan for being persistant in pointing this out.
  * that last one is rc, hence high urgency.

 -- sean finney <seanius@debian.org>  Fri, 04 Aug 2006 08:57:33 -0700

nagios-plugins (1.4.3.0cvs.20060707-2) unstable; urgency=low

  [sean finney]
  * whoops, new plugin check_mysql_query accidentally made the last
    version's nagios-plugins-basic package depend on libmysqlclient15off.

 -- sean finney <seanius@debian.org>  Sun, 09 Jul 2006 18:51:41 +0200

nagios-plugins (1.4.3.0cvs.20060707-1) unstable; urgency=low

  [sean finney]
  * new release based on latest upstream CVS HEAD, as backporting some
    of the changes would involve either massive patches to the autofoo
    generated files (Makefile/Configure etc) or by changing the packages
    to autogenerate the autofoo stuff as part of the build process,
    neither of which i like.
  * anyway, the goodies:
    - upstream incorporated fix for F'ing TBFS due to the broken .la files
      installed in the libradius-dev package
    - new check_apt plugin to check that a host is up to date wrt the debian
      package management system (run with --help for more information)
      Closes: #317763.
    - new check_ntp plugin written in C, which performs much faster and more
      reliably than the perl plugin, and does everything natively
      (sending/recieving the packets itself instead of parsing the output
      of ntpdate/ntpq). Closes: #351257, #360549, #360774.
    - as a result, we no longer need to depend on any of the NTP stuff.
  * modified debian/control to reflect new lack of dependency on ntp
  * modified debian/rules to keep check_ntp in the -basic package, as
    there's no reason to keep it in standard now.
  * finally incorporate martin pitt's request about transitioning to
    the new postgres build system.  Closes: #377201.

  [marc haber]
  * make package build fail if /proc is not mounted, before I end up
    filing that bug a fourth time. Closes: #344389, #354215

 -- sean finney <seanius@debian.org>  Sun, 04 Jun 2006 00:57:17 +0200

nagios-plugins (1.4.3-1) unstable; urgency=low

  * new upstream release.

  [sean finney]
  * the following dpatches have been incorporated upstream and thus removed:
    - 11_check_ups.c_perfdata_fix.dpatch
    - 12_check_mysql.c_mysql_options.dpatch
    - 15_check_mrtg_wtf_conditionals.dpatch
    - 16_check_smtp_protocolfix.dpatch
    - 17_check_smb_freespace.dpatch
    - 19_check_disk_subdirs.dpatch
    - 20_check_ntp_lessbeastlyregex.dpatch
    - 21_de.po_fixes.dpatch
    - 24_check_procs_localefix.dpatch
  * the following dpatches have been modified to still apply against upstream
    - 10_config.h_debiandefaults.dpatch
    - 14_check_log_paths.dpatch
    - 18_check_game_cmdline.dpatch
  * removed the transitional (pre-sarge) fileutils dependency
    (closes: #368718), thanks to Stefan Huehner for pointing this out.
  * upstream now uses libtool, but the shipped libtool is out of date and
    has problems building against radiusclient1-dev (which might not be
    our fault, but...).  so, for the time being we're shipping an updated
    version of ltmain.sh in the diff (build depending on the newest version
    of libtool is subobtimal for backporting).
  * add --disable-rpath to configure options... arg, and i had to apply
    another patch to ./configure to keep a -R from sneaking in and
    deactivating it.
  * upstream ./configure fails to automagically detect mysql installation now,
    so modify debian/rules accordingly.
  * modify debian/control to be more explicit about build-dependencies to
    make life easier for backporting.

 -- sean finney <seanius@debian.org>  Sat, 27 May 2006 20:03:31 +0200

nagios-plugins (1.4.2-7) unstable; urgency=medium

  [sean finney]
  * update build dependencies to build against libmysqlclient15-dev.
    fixes (now) rc bug, urgency bumped (closes: #343785).
  * properly set LC_NUMERIC in check_procs.  fix also committed for
    next upstream release.  thanks to Hadmut Danisch for
    catching this (closes: #353201).

 -- sean finney <seanius@debian.org>  Sat, 18 Feb 2006 13:56:25 +0100

nagios-plugins (1.4.2-6) unstable; urgency=low

  [sean finney]
  * 10_config.h_debiandefaults.dpatch now also hardcodes nslookup,
    removing the need for a couple more build-dependencies (dnsutils,
    bind9-host | host).  this also has the added benefit that the
    build process doesn't require a working dns setup :)
  * moved check_dig to -standard, as that's where check_dns (and
    more importantly its configs and dependencies) are.
  * moved check_ping to -basic.  even though it means another
    dependency in -basic, maintainer consensus is that it's
    critical enough of a plugin that it should go in.
  * split config for check_fping into fping.cfg.

  [marc haber]
  * migrate package from CVS to svn
  * add 23_check_axis.dpatch, making the package suiteable to
    debian/-only layout
  * convert to debian/-only layout
  * add build-dependency on autotools-dev, add code to automatically
    link in current config.guess, config.sub

 -- sean finney <seanius@debian.org>  Mon, 23 Jan 2006 23:24:21 +0100

nagios-plugins (1.4.2-5) unstable; urgency=low

  * Sean Finney
    - add documentation to README.Debian about the plugins needing setuid
      root, why we don't install them setuid root by default, and some
      recommended methods for dealing with this (closes: #289879).
    - add documentation to README.Debian about the new package split.
    - config.h_debiandefaults.dpatch now modifies common.h instead of
      config.h.in, because the latter would sometimes cause build hosts
      to spontaneously regenerate the file, overwriting our changes.
      since all the plugins include common.h too... (closes: #336639).
    - include some patches from "F.A.G. Luteijn" <f.a.g.luteijn@knoware.nl>:
      * dhcp.cfg (with notes added by me about needing setuid)
      * disk.cfg (check_all_disks)
      * disk-smb.cfg (seperated check_disk_smb commands)
      * http.cfg (check_https_auth)
      * check_disk_smb: allow checking disk usage via host addresses.
      (closes: #310780).

 -- sean finney <seanius@debian.org>  Mon, 31 Oct 2005 22:35:16 +0100

nagios-plugins (1.4.2-4) unstable; urgency=low

  * Sean Finney:
    - only depend on ntp, not ntp | ntp-simple.  hopefully this should
      allow nagios-plugins to co-exist with openntpd et al.
    - now building against libmysqlclient14-dev.
    - updated Standards-Version to 3.6.2
    - nagios-plugins is now separated into 3 separate packages:
      nagios-plugins, nagios-plugins-basic, and nagios-plugins-standard.
      this should provide folks with a "basic" set of plugins as an
      alternative to those who don't want to bring in so many dependencies
      (specifically, users of nsca and nagios-nrpe-server).  the original
      package will depend on both of the new packages, for backwards
      compatibility.  the list of what-goes-where may change in future
      updates, but nagios-plugins will always bring in everything.
      contact me if you have specific preferences on how the layout should
      be done (closes: #303996, #264194, #255438).
    - another fix to check_mrtg, seems like the WARN and CRIT states
      were working just fine, but there was no way for things to
      be OK.  whoops.  thanks to uno takeshi for looking into this.
      (closes: #335871).
    - updated FSF address, couple other cosmetic lintian-related fixes.

 -- sean finney <seanius@debian.org>  Wed, 26 Oct 2005 23:17:41 +0200

nagios-plugins (1.4.2-3) unstable; urgency=low

  * Sean Finney:
    - include fix from Modesto Alexandre to correct paths in check_log
      (closes: #296600).
    - looks like upstream's check_mrtg has been broken for a while now.
      now including a fix that i'll eventually move upstream.
      (closes: #309673).
    - include a fix to check_smtp to make it speak proper ehlo before
      issueing a starttls command, and also check that the server
      actually supports it before blindly continuing.  thanks to
      Jeroen van Wolffelaar for taking the time to point out the
      details (closes: #285554).
    - in the process of the above, also figured out how to get
      check_smtp to play nicely with gnutls-based servers.
    - check_disk once again will match non-mountpoint directories to
      the closest parent mountpoint (closes: #296278).
    - include jeroen's "less beastly" check_ntp sys.peer regex.
    - fix for braindead command-line option parsing for freespace
      in check_disk_smb (closes: #300701).
    - updated the usage function in check_game to reflect changed
      cmdline options (closes: #307905).
    - upstream is now shipping an non-broken ipv6-capable check_ping,
      with PING6_COMMAND properly set in config.h (closes: #309255).
    - upstream check_mysql can now check slave status (closes: #278864).

 -- sean finney <seanius@debian.org>  Tue, 11 Oct 2005 10:14:18 +0200

nagios-plugins (1.4.2-2) unstable; urgency=low

  * Sean Finney:
    - ack, the perl plugins broke on the last upload, because "use lib"
      wasn't being properly substituted in.  fixed. (closes: #332667).
    - include upstream fix for check_ups temperature perfdata.  thanks
      to Chris AtLee for originally reporting this (closes: #316534).
    - stop mucking around with config.sub/config.guess in debian/rules.
    - last update in the changelog was missing a colon on the following:
      (closes: #312228, #306244, #308458, #327212, #316882).
    - have check_mysql read in defaults from my.cnf (closes: #278817).

 -- sean finney <seanius@debian.org>  Fri, 07 Oct 2005 22:19:09 +0200

nagios-plugins (1.4.2-1) unstable; urgency=low

  * New upstream release.
  * Sean Finney:
    - now managing nagios-plugins as part of the pkg-nagios alioth project.
    - updated Maintainer field
    - updated build-dependencies to build against libsnmp9-dev
    - removed build-dependencies on exim4 | mail-transport-agent, ssh, fping,
      qstat, smbclient, and ntp stuff.  instead they are all have their
      paths hardcoded into the build-process via dpatch file
      10_config.h_debiandefaults.dpatch (closes: #312333, #297708).
    - added config option for ssmtp
    - upstream is now accidentally deleting the check_ldaps plugin
      during the build-process.  whoops.
    - removed unneccesary dpatch 09_pssyntax, massaged 08_subst.dpatch
      into shape with new upstream version.
    - added check_mysql_cmdlinecred to allow parsing of credentials on
      the cmdline (closes: #314913).
    - looks like the issue with check_load was previously resolved by
      guido (closes: #305351).
    - nagios and nagios-plugins no longer need to use update-nagios, as nagios
      can natively scan /etc/nagios-plugins/config now:
      (closes: #325893, #321939).
    - i believe check_ldap's config is now correct (closes: #305720).
    - removed references to check_nmap, which is generally superceded
      by check_tcp.  it still exists in the contrib directory of the
      source, which may at some point be put in /usr/share/doc for those
      who really want it (closes: #319997).
    - include de.po patch from jens seidel (closes: #313960).
    - upstream fix: all of the plugins should now be properly setting
      locales, so problems like commas for decimal seperators should no
      longer break plugins for people in certain locales:
      (closes #312228, #306244, #308458, #327212, #316882).
    - upstream fix: check_ntp now supports zero offset (closes: #276794).
    - upstream fix: divide by zero check for check_swap (closes: #328603).

 -- sean finney <seanius@debian.org>  Thu, 06 Oct 2005 05:02:36 -0400

nagios-plugins (1.4-6) unstable; urgency=low

  * Build-Depend on the *correct* libmysqlclient-dev

 -- Guido Trotter <ultrotter@debian.org>  Sun,  8 May 2005 08:12:20 -0700

nagios-plugins (1.4-5) unstable; urgency=low

  * Fix Build-Dependencies for sarge as per
    http://lists.debian.org/debian-release/2005/05/msg00442.html and following

 -- Guido Trotter <ultrotter@debian.org>  Sat,  7 May 2005 18:19:32 -0700

nagios-plugins (1.4-4) unstable; urgency=medium

  * The "Upload after it's too late" release
  * Make nagios-plugins depend on iputils-ping only (closes: #296295)
  * Urgency medium because it fixes an important bug reported by lots
    of people, and it doesn't change anything else
  * This version should be the one sarge ships with, hopefully!

 -- Guido Trotter <ultrotter@debian.org>  Tue,  3 May 2005 17:04:39 -0700

nagios-plugins (1.4-3) unstable; urgency=medium

  * Add back empty imap.cfg (closes: #296249)
  * Remove --with-ping-command from configure (closes: #296295)
  * Fix load.cfg (closes: #296254)
  * Urgency medium because it fixes a segfault in check_ping
  * Build depend on mail-transport-agent (mailq path) (closes: #297708)

 -- Guido Trotter <ultrotter@debian.org>  Mon,  7 Mar 2005 04:31:49 +0000

nagios-plugins (1.4-2) unstable; urgency=low

  * Add information about update-nagios needed after re-configuration
    (Shouldn't nagios document this? anyway...) (closes: #291224)
  * Use --ssl in check_https (closes: #295917)
  * Fix ps syntax (closes: #296003)

 -- Guido Trotter <ultrotter@debian.org>  Sat, 19 Feb 2005 20:22:16 +0000

nagios-plugins (1.4-1) unstable; urgency=low

  * The "I'm still around" release
  * New upstream version (closes: #294224)
  * Remove useless patches:
    01_ldap21bind
    04_checkswap
    03_hostwithnumbers
    05_checkbreeze
    07_checkbyssh (apparently it wasn't considered a bug upstream)
  * Fix argument number in check_ldap (closes: #281700) (Thanks Joerg)
  * Fix hostname placeholder in mysql.cfg (closes: #281701)
  * Don't list check_imap twice (closes: #280702)
  * Add check_https command (closes: #292124)
  * Add check_dig command (closes: #281020)
  * Add check_breeze command (closes: #281019)
  * Add dummy commands (closes: #281018)
  * Add check_mailq_<MTA> commands for all supported mtas (closes: #281016,
    #282015)
  * Add check_spop and check_simap commands (closes: #280700)
  * Add check_nt command (closes: #294299)
  * Fix check_load command (closes: #294298)
  * Fix a reference to @libexec@ in snmp.cfg (closes: #276520)

 -- Guido Trotter <ultrotter@debian.org>  Fri, 18 Feb 2005 07:50:28 +0000

nagios-plugins (1.3.1.0-12) unstable; urgency=low

  * Sorry for the multiple uploads trying to fix the problem...
    Unfortunately I don't have any !i386 handy. :(
  * This time #275803 should really be dealt with!

 -- Guido Trotter <ultrotter@debian.org>  Wed, 13 Oct 2004 13:59:58 -0700

nagios-plugins (1.3.1.0-11) unstable; urgency=high

  * Hack subst.in to really solve the incorrect "use lib" on arches !i386
    forcing the correct (debian) path in (closes: #275803)
  * urgency set to high because it solves an RC bug in sarge

 -- Guido Trotter <ultrotter@debian.org>  Wed, 13 Oct 2004 08:23:53 -0700

nagios-plugins (1.3.1.0-10) unstable; urgency=low

  * The "Better late than never" release
  * Include Tom Laermans mysql.cfg in pluginsconfig (closes: #267747)
  * Include Tom Laermans imap.cfg in pluginsconfig (closes: #267953)
  * Fix snmp_load typo (thanks to Raoul Borenius) (closes: #270276)
  * Fix snmp_load typo (thanks to Raoul Borenius) (closes: #270276)
  * Build-depend on mawk to try fixing #275803 (was that the culprit?)

 -- Guido Trotter <ultrotter@debian.org>  Tue, 12 Oct 2004 20:44:51 -0700

nagios-plugins (1.3.1.0-9) unstable; urgency=high

  * Update debian/watch file
  * Fix check_breeze (thanks to Peter Palfrader for noticing it was broken)
    (closes: #265207)
  * Add to 04_checkswap two patches from Sean Finney plus one from me
    (to avoid it returning STATE_CRITICAL when no swap is configured)
    (closes: #265152, #265154)
  * Also import:
    - Sven Velt patch for check_ircd (closes: #259720)
    - Cyril Bouthors patch for check_by_ssh (closes: #257793)
  * Urgency high so nagios and nagios-plugins stop running one after
    the other to enter testing
  * Sorry, the package splitting is still delayed for after sarge

 -- Guido Trotter <ultrotter@debian.org>  Thu, 12 Aug 2004 16:13:35 +0200

nagios-plugins (1.3.1.0-8) unstable; urgency=low

  * Import a backport of check_swap from upstream CVS done by
    "The Fungi" <fungi@yuggoth.org> to make swap checking 2.6
    compatible (closes: #261151)
  * Postpone package splitting, so this version can go in sarge
    with nagios before we have to wait a bit in the NEW queue

 -- Guido Trotter <ultrotter@debian.org>  Sun, 25 Jul 2004 11:34:01 +0200

nagios-plugins (1.3.1.0-7) unstable; urgency=low

  * Add 03_hostwithnumbers.dpatch written by me to correct the behaviour
    of is_hostname() in utils.c  about host components beginning with a
    number (closes: #253620). Thanks to Andreas Edler who spotted
    the problem.

 -- Guido Trotter <ultrotter@debian.org>  Tue, 15 Jun 2004 15:37:48 +0200

nagios-plugins (1.3.1.0-6) unstable; urgency=low

  * Conflict with the current version of nagios (closes: #245607)

 -- Guido Trotter <ultrotter@debian.org>  Sat, 24 Apr 2004 12:01:59 +0200

nagios-plugins (1.3.1.0-5) unstable; urgency=low

  * Move plugin configuration to /etc/nagios-plugins/config
  * For the time beeing symlink from the original directory

  This should help nagios closing #241807

 -- Guido Trotter <ultrotter@debian.org>  Fri, 23 Apr 2004 09:06:51 +0200

nagios-plugins (1.3.1.0-4) unstable; urgency=low

  * Fix not considered args and broken example in check_disk (closes: #241833)

 -- Guido Trotter <ultrotter@debian.org>  Mon,  5 Apr 2004 10:34:37 +0200

nagios-plugins (1.3.1.0-3) unstable; urgency=low

  * Take parameters for basic check_ping (closes: #238670)
  * Add ssh.cfg and ldap.cfg (closes: #236781)

 -- Guido Trotter <ultrotter@debian.org>  Sat,  3 Apr 2004 18:03:38 +0200

nagios-plugins (1.3.1.0-2) unstable; urgency=low

  * Recommend nagios-text | nagios
  * Remove notify.cfg from distributed config files (closes: #234951)

 -- Guido Trotter <ultrotter@debian.org>  Thu, 26 Feb 2004 22:41:56 +0100

nagios-plugins (1.3.1.0-1) unstable; urgency=low

  * The "lintian clean it" release
  * Upstream version is 1.3.1, i've incremented the version number a bit in
    order to upload a new source without the CVS directories, and so let
    lintian not complain...

 -- Guido Trotter <ultrotter@debian.org>  Tue, 24 Feb 2004 19:37:09 +0100

nagios-plugins (1.3.1-6) unstable; urgency=low

  * Depend only on ntp-simple instead of ntp (closes: #233267)
  * Also in build-dependency use ntp-simple rather than ntp

 -- Guido Trotter <ultrotter@debian.org>  Tue, 17 Feb 2004 21:03:58 +0100

nagios-plugins (1.3.1-5) unstable; urgency=low

  * Adapt the choosen ping command to the fact that configure
    doesn't set PING_PACKETS_FIRST when PING_COMMAND is passed
    from the command line (closes: #233010)

 -- Guido Trotter <ultrotter@debian.org>  Mon, 16 Feb 2004 13:19:20 +0100

nagios-plugins (1.3.1-4) unstable; urgency=low

  * Pass --with-ping-command to configure, and relax the dependency on ping.
  * Export a sane $PATH and pass it to configure (closes: #232498)
  * Give full path of libexec dir to configure (closes: #232436)
  * Remove empty dirs from debian/dirs
  * Ship command configuration in /usr/share/nagios/pluginconfig
    These files are generated passing the upstream command.cfg to
    nagios' convertcfg, and then splitted up manually removing
    definitions already shipped with nagios. Thanks to Nate Allen
    who found out the solution. (closes: #232300)

 -- Guido Trotter <ultrotter@debian.org>  Sat, 14 Feb 2004 13:20:55 +0100

nagios-plugins (1.3.1-3) unstable; urgency=low

  * Remove dependency on non-existent package "dqs"
  * Pass --with-df-command="/bin/df -Pk" to configure, since compiling
    on the autobuilders doesn't detect that (why?)
  * Build-depend also on libkrb5-dev

 -- Guido Trotter <ultrotter@debian.org>  Wed, 11 Feb 2004 17:03:23 +0100

nagios-plugins (1.3.1-2) unstable; urgency=low

  * Add some missing build dependencies that prevented nagios-plugins
    from compiling

 -- Guido Trotter <ultrotter@debian.org>  Wed, 11 Feb 2004 12:41:13 +0100

nagios-plugins (1.3.1-1) unstable; urgency=low

  * Initial Release (closes: #208218)
  * I prefer having all the plugins in a single package: the installation size
    is not so terrible

 -- Guido Trotter <ultrotter@debian.org>  Sun,  1 Feb 2004 10:32:04 +0100
